ExecuteStreamHandler (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.exec.ExecuteStreamHandler interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.exec
Interface ExecuteStreamHandler

All Known Implementing Classes:
  PumpStreamHandler

    public interface ExecuteStreamHandler

Used by `Execute` to handle input and output stream of subprocesses.

Method Summary
`void` | `setProcessErrorStream(java.io.InputStream is)` Install a handler for the error stream of the subprocess.
`void` | `setProcessInputStream(java.io.OutputStream os)` Install a handler for the input stream of the subprocess.
`void` | `setProcessOutputStream(java.io.InputStream is)` Install a handler for the output stream of the subprocess.
`void` | `start()` Start handling of the streams.
`void` | `stop()` Stop handling of the streams - will not be restarted.

Method Detail

### setProcessInputStream

    void setProcessInputStream(java.io.OutputStream os)
                               throws java.io.IOException

  Install a handler for the input stream of the subprocess.

  Parameters:
    `os` - output stream to write to the standard input stream of the subprocess
  Throws:
    `java.io.IOException`

### setProcessErrorStream

    void setProcessErrorStream(java.io.InputStream is)
                               throws java.io.IOException

  Install a handler for the error stream of the subprocess.

  Parameters:
    `is` - input stream to read from the error stream from the subprocess
  Throws:
    `java.io.IOException`

### setProcessOutputStream

    void setProcessOutputStream(java.io.InputStream is)
                                throws java.io.IOException

  Install a handler for the output stream of the subprocess.

  Parameters:
    `is` - input stream to read from the error stream from the subprocess
  Throws:
    `java.io.IOException`

### start

    void start()
               throws java.io.IOException

  Start handling of the streams.

  Throws:
    `java.io.IOException`

### stop

    void stop()

  Stop handling of the streams - will not be restarted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.